io.milvus.param.resourcegroup

## Class CreateResourceGroupParam.Builder

- java.lang.Object
- - io.milvus.param.resourcegroup.CreateResourceGroupParam.Builder

Enclosing class:
  CreateResourceGroupParam

    public static final class CreateResourceGroupParam.Builder
    extends java.lang.Object

Builder for `CreateResourceGroupParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateResourceGroupParam` `build()` Verifies parameters and creates a new `CreateResourceGroupParam` instance.
`CreateResourceGroupParam.Builder` `withConfig(@NonNull ResourceGroupConfig config)` Sets the resource group config.
`CreateResourceGroupParam.Builder` `withGroupName(@NonNull java.lang.String groupName)` Sets the group name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withGroupName

    public CreateResourceGroupParam.Builder withGroupName(@NonNull
                                                          @NonNull java.lang.String groupName)

Sets the group name. group name cannot be empty or null.

Parameters:
  `groupName` - group name
Returns:
  `Builder`

#### withConfig

    public CreateResourceGroupParam.Builder withConfig(@NonNull
                                                       @NonNull ResourceGroupConfig config)

Sets the resource group config.

Parameters:
  `config` - configuration of resource group
Returns:
  `Builder`

#### build

    public CreateResourceGroupParam build()
                                   throws ParamException

Verifies parameters and creates a new `CreateResourceGroupParam` instance.

Returns:
  `CreateResourceGroupParam`
Throws:
  `ParamException`